Updates the equipment_family object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
equipment_family| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| name |
Name of the equipment family |
string |
Required Max length: 50 |
| description |
Description of the equipment family |
string |
Max length: 4000 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| _parent_id |
Parent Equipment Family (Parent / Child) when adding/updating equipment_family |
globally unique identifier | |
| _parent_code |
Embedded entity "equipment_family" for parent (Parent / Child) using ERP PK when adding/updating equipment_family |
string | |
| _parent_equipment_family |
Embedded entity "equipment_family" for parent (Parent / Child) when adding/updating equipment_family |
equipment_family | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "108cc319-1cf4-4a22-b140-b0d9826c08f8",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "beb9b04b-610a-4893-8f89-a3aa1f65cbec",
"_parent_code": "sample string 6",
"sales_organization_id": "13fd7a64-5292-4ff3-a5b3-a78bd06cde95",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "b9f6e660-3f5d-495d-8e03-96fbefe2d67a",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "5c2a2a0c-6bb9-4f3e-8934-390904b3dd79",
"db_currency_id": "3b850fa8-85a3-4698-8102-7a7efafcef61",
"db_language_id": "0d819a44-d097-4ff9-8533-2b861b18f498",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-03T06:14:01.3387417+00:00"
},
"modified_dateutc": "2026-11-03T06:14:01.3387417+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.